## python-noiseprotocol 0.3.1

=== requirements.txt ===
cryptography>=2.8

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = noiseprotocol
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== examples/wireguard/requirements.txt ===
noiseprotocol
scapy>=2.4.0

=== debian/changelog ===
python-noiseprotocol (0.3.1-2) unstable; urgency=medium

  * Package as noiseprotocol module name, not noise (Closes: #1080248).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Sep 2024 13:06:01 +0200

python-noiseprotocol (0.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1079585)

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Aug 2024 23:50:04 +0200

=== debian/control ===
Source: python-noiseprotocol
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-cryptography,
 python3-pytest,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-noiseprotocol
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-noiseprotocol.git
Homepage: https://github.com/plizonczyk/noiseprotocol

Package: python3-noiseprotocol
Architecture: all
Depends:
 python3-cryptography,
 ${misc:Depends},
 ${python3:Depends},
Description: implementation of Noise Protocol Framework
 This package provides a Python 3 implementation of the Noise Protocol
 Framework (see http://www.noiseprotocol.org/). It is compatible with
 revisions 32 and 33.
 .
 This package is an indirect dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/plizonczyk/noiseprotocol.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS= -v tests

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_build:
	ln -s noise noiseprotocol
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -f noiseprotocol

override_dh_fixperms:
	dh_fixperms
	rm -rf $(CURDIR)/debian/python3-noiseprotocol/usr/lib/python3/dist-packages/noise
	rm -rf $(CURDIR)/debian/python3-noiseprotocol/usr/lib/python3/dist-packages/examples

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" https://github.com/plizonczyk/noiseprotocol refs/tags/(\d[brc\d\.]+)
